<div fxLayout="column" fxFlex>
  <app-header></app-header>

  <mat-sidenav-container fxFlex>
    <mat-sidenav #sidenav class="sidenav">
      <mat-nav-list>
        <mat-list-item routerLink="/home">
          <a mat-line>Home</a>
          <button mat-icon-button><mat-icon>home</mat-icon></button>
        </mat-list-item>
        <mat-list-item routerLink="/map">
          <a mat-line>Map w/ Mapbox</a>
          <button mat-icon-button><mat-icon>map</mat-icon></button>
        </mat-list-item>
        <mat-list-item routerLink="/file-upload">
          <a mat-line>File Drop Drag Example"</a>
          <button mat-icon-button><mat-icon>cloud_upload</mat-icon></button>
        </mat-list-item>
        <mat-list-item routerLink="/users">
          <a mat-line>Users "A Guarded Route"</a>
          <button mat-icon-button><mat-icon>people</mat-icon></button>
        </mat-list-item>
        <mat-list-item routerLink="/geolocation">
          <a mat-line>Geolocation</a>
          <button mat-icon-button><mat-icon>gps</mat-icon></button>
        </mat-list-item>
      </mat-nav-list>
      <div class="sidenav-footer">
        <mat-nav-list>
          <mat-list-item
            *ngIf="(auth.user$ | async); else signin"
            (click)="auth.signOut()"
          >
            <a mat-line>Logout</a>
            <button mat-icon-button><mat-icon>lock</mat-icon></button>
          </mat-list-item>
        </mat-nav-list>
      </div>
    </mat-sidenav>
    <mat-sidenav-content> <router-outlet></router-outlet> </mat-sidenav-content>
  </mat-sidenav-container>
</div>

<ng-template #signin>
  <mat-list-item routerLink="/signin">
    <a mat-line>Signin</a>
    <button mat-icon-button><mat-icon>account_box</mat-icon></button>
  </mat-list-item>
</ng-template>
